package io.keiji.weatherforecasts;

import android.os.Bundle;
import android.os.Handler;
import android.support.v7.app.AppCompatActivity;
import android.widget.TextView;
import android.widget.Toast;

import java.io.IOException;

public class MainActivity extends AppCompatActivity {

    private Handler handler = new Handler();

    private TextView result;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        result = (TextView) findViewById(R.id.tv_result);

        Thread subThread = new Thread() {
            @Override
            public void run() {
                try {
                    final String data = WeatherApi.getWeather("400040");
                    handler.post(new Runnable() {
                        @Override
                        public void run() {
                            result.setText(data);
                        }
                    });
                } catch (IOException e) {
                    handler.post(new Runnable() {
                        @Override
                        public void run() {
                            Toast.makeText(getApplicationContext(), "IOException is occurred.",
                                    Toast.LENGTH_SHORT).show();
                        }
                    });
                }
            }
        };
        subThread.start();
    }
}
